Package com.google.protobuf

# Class ServiceException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.google.protobuf.ServiceException

All Implemented Interfaces:
  `Serializable`

public class ServiceException extends Exception
Thrown by blocking RPC methods when a failure occurs.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ServiceException(String message)`
`ServiceException(String message, Throwable cause)`
`ServiceException(Throwable cause)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ServiceException

public ServiceException(String message)

### ServiceException

public ServiceException(Throwable cause)

### ServiceException

public ServiceException(String message, Throwable cause)